Subject: [PATCH v3 3/7] mfd: add support for sun6i PRCM (Power/Reset/Clock Management) unit

From: [email-masked] (Maxime Ripard)
Date: Mon, 19 May 2014 16:05:55 +0200

On Mon, May 19, 2014 at 02:32:53PM +0100, Lee Jones wrote:
> 
> > > > > > The PRCM (Power/Reset/Clock Management) block exposes several subdevices
> > > > > > in different subsystems (clk, reset ...)
> > > > > > 
> > > > > > Add basic support for the PRCM unit with clk (AR100, AHB0, and APB0 clks)
> > > > > > and reset controller subdevices.
> > > > > > 
> > > > > > Other subdevices might be added later (if needed).
> > > > > > 
> > > > > > Signed-off-by: Boris BREZILLON <[email-masked]>
> > > > > > Acked-by: Maxime Ripard <[email-masked]>
> > > > > > ---
> > > > > >  drivers/mfd/Kconfig      |   8 +++
> > > > > >  drivers/mfd/Makefile     |   1 +
> > > > > >  drivers/mfd/sun6i-prcm.c | 134 +++++++++++++++++++++++++++++++++++++++++++++++
> > > > > >  3 files changed, 143 insertions(+)
> > > > > >  create mode 100644 drivers/mfd/sun6i-prcm.c
> > > > > 
> > > > > [...]
> > > > > 
> > > > > > +/*
> > > > > > + * Copyright (C) 2014 Free Electrons
> > > > > > + *
> > > > > > + * License Terms: GNU General Public License v2
> > > > > > + * Author: Boris BREZILLON <[email-masked]>
> > > > > > + *
> > > > > > + * Allwinner PRCM (Power/Reset/Clock Management) driver
> > > > > > + *
> > > > > > + */
> > > > > > +
> > > > > > +#include <linux/mfd/core.h>
> > > > > > +#include <linux/module.h>
> > > > > > +#include <linux/of.h>
> > > > > 
> > > > > Ah, now isn't that better?
> > > > > 
> > > > > Acked-by: Lee Jones <[email-masked]>
> > > > 
> > > > How do you want to merge this? Do you want me to take it through
> > > > mach-sunxi tree, or do you want to take it in your tree?
> > > 
> > > If Boris can tell me what needs to go in with this patch (or if it
> > > can go in on its own), I will create a(n immutable) branch from which
> > > you can pull into your tree.
> > 
> > We don't have any runtime or compile time dependency on this, so you
> > can merge it through your tree. Unless something change, I don't have
> > to pull anything in my tree.
> 
> When you say 'this', do you mean this patch, or this set?  If I can
> just apply this patch, that will be ideal?

I mean you can apply these two patches:
http://lists.infradead.org/pipermail/linux-arm-kernel/2014-May/256537.html
http://lists.infradead.org/pipermail/linux-arm-kernel/2014-May/256535.html

And it would be ideal :)

Maxime

-- 
Maxime Ripard, Free Electrons
Embedded Linux, Kernel and Android engineering
http://free-electrons.com
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 819 bytes
Desc: Digital signature
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20140519/21814b11/attachment-0001.sig>